Subject: Re: [bug#42338] [PATCH 03/34] guix: Add composer-build-system.

From: Ludovic Courtès <[email-masked]>
Date: Mon, 21 Dec 2020 15:51:59 +0100

Hi,

Julien Lepiller <[email-masked]> skribis:

> I tried that (replacing 'guile-json with 'guile-json-4), but it doesn't
> work: when building the package, guix first builds a modules-compiled
> that fails because it can't find (json). It seems to be related to the
> compilation of (guix build composer-build-system) which uses the (json)
> module: when removing the import, it's modules-compiled works (with a
> lot of warnings), but obviously guix can't build the php package.

Ah OK.  Well, maybe you can sidestep the issue and use a custom JSON
module instead.  Sorry for the broken piece of advice!

Ludo’.